import request from '@/utils/request'

// 查询数据解析下载日志列表
export function listAnalyzeDownLog(query) {
  return request({
    url: '/manage/analyzeDownLog/list',
    method: 'get',
    params: query
  })
}

// 查询数据解析下载日志详细
export function getAnalyzeDownLog(id) {
  return request({
    url: '/manage/analyzeDownLog/' + id,
    method: 'get'
  })
}

// 新增数据解析下载日志
export function addAnalyzeDownLog(data) {
  return request({
    url: '/manage/analyzeDownLog',
    method: 'post',
    data: data
  })
}

// 修改数据解析下载日志
export function updateAnalyzeDownLog(data) {
  return request({
    url: '/manage/analyzeDownLog',
    method: 'put',
    data: data
  })
}

// 删除数据解析下载日志
export function delAnalyzeDownLog(id) {
  return request({
    url: '/manage/analyzeDownLog/' + id,
    method: 'delete'
  })
}
